apiVersion: extensions/v1beta1
kind: Ingress
metadata:
  annotations:
    app.kubernetes.io/managed-by: "Helm"
    meta.helm.sh/release-name: "harbor-staging"
    meta.helm.sh/release-namespace: {{ $.Release.Namespace | quote}}
    {{- if .Values.harbor.expose.ingress.annotations }}
      {{- toYaml .Values.harbor.expose.ingress.annotations | nindent 4  }}
    {{- end }}
    ingress.kubernetes.io/ssl-redirect: "false"
    nginx.ingress.kubernetes.io/ssl-redirect: "false"
  name: harbor-{{- $.Release.Namespace -}}-standalone-ingress
  namespace: {{ $.Release.Namespace }}
spec:
  rules:
  - http:
      paths:
      - backend:
          serviceName: {{ template "harbor.portal" . }}
          servicePort: 80
        path: /
        pathType: ImplementationSpecific
      - backend:
          serviceName: {{ template "harbor.core" . }}
          servicePort: 80
        path: /api/
        pathType: ImplementationSpecific
      - backend:
          serviceName: {{ template "harbor.core" . }}
          servicePort: 80
        path: /service/
        pathType: ImplementationSpecific
      - backend:
          serviceName: {{ template "harbor.core" . }}
          servicePort: 80
        path: /v2
        pathType: ImplementationSpecific
      - backend:
          serviceName: {{ template "harbor.core" . }}
          servicePort: 80
        path: /chartrepo/
        pathType: ImplementationSpecific
      - backend:
          serviceName: {{ template "harbor.core" . }}
          servicePort: 80
        path: /c/
        pathType: ImplementationSpecific
